Skip to main content
GET
/
Project
/
{projectId}
/
Prediction
/
{predictionId}
/
TimeSeriesData
List time series data sets
curl --request GET \
  --url https://api.plantpredict.terabase.energy/Project/{projectId}/Prediction/{predictionId}/TimeSeriesData \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": 56735,
    "predictionId": 707325,
    "type": 3,
    "name": "MST Input #1",
    "detailsCount": 8760
  },
  {
    "id": 56736,
    "predictionId": 707325,
    "type": 2,
    "name": "TSD Input #1",
    "detailsCount": 8760
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.plantpredict.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Pass Authorization: Bearer <token> on every request. See the Authentication section of the API description for how to fetch a token.

Path Parameters

projectId
integer
required
predictionId
integer
required

Response

Time series list

id
integer
predictionId
integer
type
enum<integer>

TimeSeriesType

Available options:
0,
1,
2,
3,
4,
5,
6
name
string
detailsCount
integer